Bug 186303 - buffer overflow in eximon
buffer overflow in eximon
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
: 186680 (view as bug list)
Depends On:
Blocks: 186405
  Show dependency treegraph
 
Reported: 2006-03-22 14:39 EST by serge sterck
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.60-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-23 07:43:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description serge sterck 2006-03-22 14:39:52 EST
Description of problem:
buffer overflow un exim-mon-4.60-4.fc5

Version-Release number of selected component (if applicable):

Fedora core 5
How reproducible:

juste launch eximon
Steps to Reproduce:
1.
2.
3.
  
Actual results:

[root@port04 sbin]# eximon

Exim Monitor version 2.05 (compiled 21-Mar-2006 05:31:42) initializing
[root@port04 sbin]# .*** buffer overflow detected ***: /usr/sbin/eximon.bin
terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x488965]
/lib/libc.so.6(__strcpy_chk+0x3f)[0x487f07]
/usr/sbin/eximon.bin[0x8e942d]
/usr/sbin/eximon.bin[0x8e4cee]
/usr/sbin/eximon.bin(main+0x922)[0x8e5b82]
/lib/libc.so.6(__libc_start_main+0xdc)[0x3c27e4]
/usr/sbin/eximon.bin[0x8de811]
======= Memory map: ========
0012e000-00147000 r-xp 00000000 fd:00 2284896    /lib/ld-2.4.so
00147000-00148000 r-xp 00018000 fd:00 2284896    /lib/ld-2.4.so
00148000-00149000 rwxp 00019000 fd:00 2284896    /lib/ld-2.4.so
00149000-00242000 r-xp 00000000 fd:00 518799     /usr/lib/libX11.so.6.2.0
00242000-00246000 rwxp 000f9000 fd:00 518799     /usr/lib/libX11.so.6.2.0
00246000-0024b000 r-xp 00000000 fd:00 2284913    /lib/libcrypt-2.4.so
0024b000-0024c000 r-xp 00004000 fd:00 2284913    /lib/libcrypt-2.4.so
0024c000-0024d000 rwxp 00005000 fd:00 2284913    /lib/libcrypt-2.4.so
0024d000-00274000 rwxp 0024d000 00:00 0
00348000-0034a000 r-xp 00000000 fd:00 2284899    /lib/libdl-2.4.so
0034a000-0034b000 r-xp 00001000 fd:00 2284899    /lib/libdl-2.4.so
0034b000-0034c000 rwxp 00002000 fd:00 2284899    /lib/libdl-2.4.so
0037f000-00396000 r-xp 00000000 fd:00 2282632    /lib/libpcre.so.0.0.1
00396000-003ad000 rwxp 00017000 fd:00 2282632    /lib/libpcre.so.0.0.1
003ad000-004d9000 r-xp 00000000 fd:00 2284897    /lib/libc-2.4.so
004d9000-004dc000 r-xp 0012b000 fd:00 2284897    /lib/libc-2.4.so
004dc000-004dd000 rwxp 0012e000 fd:00 2284897    /lib/libc-2.4.so
004dd000-004e0000 rwxp 004dd000 00:00 0
0062b000-0063a000 r-xp 00000000 fd:00 518801     /usr/lib/libXext.so.6.4.0
0063a000-0063b000 rwxp 0000e000 fd:00 518801     /usr/lib/libXext.so.6.4.0
00710000-00720000 r-xp 00000000 fd:00 493108     /usr/lib/libXpm.so.4.11.0
00720000-00721000 rwxp 00010000 fd:00 493108     /usr/lib/libXpm.so.4.11.0
0074c000-00757000 r-xp 00000000 fd:00 2284902    /lib/libgcc_s-4.1.0-20060304.so.1
00757000-00758000 rwxp 0000a000 fd:00 2284902    /lib/libgcc_s-4.1.0-20060304.so.1
007ae000-007af000 r-xp 007ae000 00:00 0          [vdso]
008da000-008ed000 r-xp 00000000 fd:00 510036     /usr/sbin/eximon.bin
008ed000-008ef000 rwxp 00012000 fd:00 510036     /usr/sbin/eximon.bin
00976000-00978000 r-xp 00000000 fd:00 518797     /usr/lib/libXau.so.6.0.0
00978000-00979000 rwxp 00001000 fd:00 518797     /usr/lib/libXau.so.6.0.0
00982000-009e0000 r-xp 00000000 fd:00 493128     /usr/lib/libXaw7.so.7.0.0
009e0000-009e7000 rwxp 0005d000 fd:00 493128     /usr/lib/libXaw7.so.7.0.0
00a2a000-00a4d000 r-xp 00000000 fd:00 2284898    /lib/libm-2.4.so
00a4d000-00a4e000 r-xp 00022000 fd:00 2284898    /lib/libm-2.4.so
00a4e000-00a4f000 rwxp 00023000 fd:00 2284898    /lib/libm-2.4.so
00aa4000-00ab5000 r-xp 00000000 fd:00 2284909    /lib/libnsl-2.4.so
00ab5000-00ab6000 r-xp 00010000 fd:00 2284909    /lib/libnsl-2.4.so
00ab6000-00ab7000 rwxp 00011000 fd:00 2284909    /lib/libnsl-2.4.so
00ab7000-00ab9000 rwxp 00ab7000 00:00 0
00c22000-00c27000 r-xp 00000000 fd:00 518798     /usr/lib/libXdmcp.so.6.0.0
00c27000-00c28000 rwxp 00004000 fd:00 518798     /usr/lib/libXdmcp.so.6.0.0
00c6e000-00c84000 r-xp 00000000 fd:00 502916     /usr/lib/libXmu.so.6.2.0
00c84000-00c85000 rwxp 00016000 fd:00 502916     /usr/lib/libXmu.so.6.2.0
00d20000-00d75000 r-xp 00000000 fd:00 513151     /usr/lib/libXt.so.6.0.0
00d75000-00d79000 rwxp 00054000 fd:00 513151     /usr/lib/libXt.so.6.0.0
00daf000-00db3000 r-xp 00000000 fd:00 518803     /usr/lib/libXfixes.so.3.0.0
00db3000-00db4000 rwxp 00003000 fd:00 518803     /usr/lib/libXfixes.so.3.0.0
00ece000-00ed6000 r-xp 00000000 fd:00 518810     /usr/lib/libSM.so.6.0.0
00ed6000-00ed7000 rwxp 00008000 fd:00 518810     /usr/lib/libSM.so.6.0.0
00f1d000-00f34000 r-xp 00000000 fd:00 518809     /usr/lib/libICE.so.6.3.0
00f34000-00f35000 rwxp 00016000 fd:00 518809     /usr/lib/libICE.so.6.3.0
00f35000-00f37000 rwxp 00f35000 00:00 0
00f73000-00f7b000 r-xp 00000000 fd:00 518800     /usr/lib/libXrender.so.1.3.0
00f7b000-00f7c000 rwxp 00007000 fd:00 518800     /usr/lib/libXrender.so.1.3.0
00fe4000-00fed000 r-xp 00000000 fd:00 518804     /usr/lib/libXcursor.so.1.0.2
00fed000-00fee000 rwxp 00008000 fd:00 518804     /usr/lib/libXcursor.so.1.0.2
09295000-092fa000 rw-p 09295000 00:00 0          [heap]
b7f4d000-b7f51000 rw-p b7f4d000 00:00 0
b7f69000-b7f6c000 rw-p b7f69000 00:00 0
bfd57000-bfd6c000 rw-p bfd57000 00:00 0          [stack]



Expected results:


Additional info:
Comment 1 David Woodhouse 2006-03-23 06:51:06 EST
Also happens in FC-4. Investigating now...
Comment 2 David Woodhouse 2006-03-23 07:43:26 EST
Thanks for the report. This is now fixed in packages for FC-4 and FC-5.
Comment 3 David Woodhouse 2006-03-25 06:46:46 EST
*** Bug 186680 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.